Module jdk.xml.dom
Package org.w3c.dom.xpath

## Class XPathException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.w3c.dom.xpath.XPathException

All Implemented Interfaces:
  `Serializable`

    public class XPathException
    extends RuntimeException

A new exception has been created for exceptions specific to these XPath interfaces.

See also the Document Object Model (DOM) Level 3 XPath Specification.

See Also:
  Serialized Form

### Field Summary

Fields
`short` `code`
`static short` `INVALID_EXPRESSION_ERR` If the expression has a syntax error or otherwise is not a legal expression according to the rules of the specific `XPathEvaluator` or contains specialized extension functions or variables not supported by this implementation.
`static short` `TYPE_ERR` If the expression cannot be converted to return the specified type.

### Constructor Summary

Constructors
`XPathException​(short code, String message)`

### Method Summary

### Methods declared in class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### code

    public short code

#### INVALID_EXPRESSION_ERR

    public static final short INVALID_EXPRESSION_ERR

If the expression has a syntax error or otherwise is not a legal expression according to the rules of the specific `XPathEvaluator` or contains specialized extension functions or variables not supported by this implementation.

See Also:
  Constant Field Values

#### TYPE_ERR

    public static final short TYPE_ERR

If the expression cannot be converted to return the specified type.

See Also:
  Constant Field Values

### Constructor Detail

#### XPathException

    public XPathException​(short code,
                          String message)